"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExtendedStage = void 0;
const aws_cdk_lib_1 = require("aws-cdk-lib");
const standard_tags_1 = require("./standard-tags");
class ExtendedStage extends aws_cdk_lib_1.Stage {
    constructor(scope, id, props) {
        super(scope, id, props);
        // Setup standard tags
        this.standardTags = new standard_tags_1.StandardTags(this, props === null || props === void 0 ? void 0 : props.standardTags);
    }
}
exports.ExtendedStage = ExtendedStage;
//# sourceMappingURL=extended-stage.js.map