import { ExtendedConstruct } from '../../aws-cdk';
import { Construct } from 'constructs';
import { Duration } from 'aws-cdk-lib';
export interface EcsServiceUpdateProps {
    readonly cluster: string;
    readonly service: string;
    readonly desiredCount?: number;
    readonly ignoreServiceNotFound?: boolean;
    readonly timeout?: Duration;
}
export declare class EcsServiceUpdate extends ExtendedConstruct {
    constructor(scope: Construct, id: string, props: EcsServiceUpdateProps);
}
