"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExtendedConstruct = void 0;
const constructs_1 = require("constructs");
const standard_tags_1 = require("./standard-tags");
class ExtendedConstruct extends constructs_1.Construct {
    constructor(scope, id, props) {
        super(scope, id);
        // Setup standard tags
        this.standardTags = new standard_tags_1.StandardTags(this, props === null || props === void 0 ? void 0 : props.standardTags);
    }
}
exports.ExtendedConstruct = ExtendedConstruct;
//# sourceMappingURL=extended-construct.js.map