"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MetricHelper = void 0;
const aws_cloudwatch_1 = require("aws-cdk-lib/aws-cloudwatch");
const aws_cdk_lib_1 = require("aws-cdk-lib");
class MetricHelper {
    static billingEstimatedCharges() {
        return new aws_cloudwatch_1.Metric({
            metricName: 'EstimatedCharges',
            namespace: 'AWS/Billing',
            statistic: 'Maximum',
            dimensionsMap: {
                Currency: 'USD',
            },
            period: aws_cdk_lib_1.Duration.hours(12),
        });
    }
}
exports.MetricHelper = MetricHelper;
//# sourceMappingURL=metric-helper.js.map